diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -32856,14 +33058,14 @@ (define-public rust-num-0.1
     (name "rust-num")
     (version "0.1.42")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vhmyvfan380f86895z0f8rjscjc6qvwcmyvm15370ik2mjas0s7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vhmyvfan380f86895z0f8rjscjc6qvwcmyvm15370ik2mjas0s7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.1)
@@ -32956,14 +33158,14 @@ (define-public rust-num-bigint-0.1
     (name "rust-num-bigint")
     (version "0.1.44")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-bigint" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hg80xd7vd5yqzks1h0zk2fcgqnf84m2cdj9q4cffk581nnrjf76"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-bigint" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hg80xd7vd5yqzks1h0zk2fcgqnf84m2cdj9q4cffk581nnrjf76"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-integer" ,rust-num-integer-0.1)
@@ -32979,29 +33181,29 @@ (define-public rust-num-bigint-dig-0.6
     (name "rust-num-bigint-dig")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-bigint-dig" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1aljx3bxfnzq35i9pkbqkj0d0hc1wjc2dd60wccjqylz1wrkrl5k"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-autocfg" ,rust-autocfg-0.1)
-         ("rust-byteorder" ,rust-byteorder-1)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-libm" ,rust-libm-0.2)
-         ("rust-num-integer" ,rust-num-integer-0.1)
-         ("rust-num-iter" ,rust-num-iter-0.1)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-rand" ,rust-rand-0.7)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-smallvec" ,rust-smallvec-1)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-bigint-dig" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1aljx3bxfnzq35i9pkbqkj0d0hc1wjc2dd60wccjqylz1wrkrl5k"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-autocfg" ,rust-autocfg-0.1)
+        ("rust-byteorder" ,rust-byteorder-1)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-libm" ,rust-libm-0.2)
+        ("rust-num-integer" ,rust-num-integer-0.1)
+        ("rust-num-iter" ,rust-num-iter-0.1)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page
-      "https://github.com/dignifiedquire/num-bigint")
+     "https://github.com/dignifiedquire/num-bigint")
     (synopsis "Big integer implementation for Rust")
     (description "This package provides a big integer implementation
 for Rust")
@@ -33037,14 +33239,14 @@ (define-public rust-num-complex-0.3
     (name "rust-num-complex")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-complex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dczd81f2xb092dhb0brbdbf19pyfn0v9xmkf6qm0w4pv1dx0nmh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-complex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dczd81f2xb092dhb0brbdbf19pyfn0v9xmkf6qm0w4pv1dx0nmh"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-traits" ,rust-num-traits-0.2)
@@ -33078,14 +33280,14 @@ (define-public rust-num-complex-0.1
     (name "rust-num-complex")
     (version "0.1.43")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-complex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mln3h018lar511hadjwfkbyq1561s8kdzfg8aagbakqg0fn725j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-complex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mln3h018lar511hadjwfkbyq1561s8kdzfg8aagbakqg0fn725j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -33098,19 +33300,19 @@ (define-public rust-num-cpus-1
     (name "rust-num-cpus")
     (version "1.13.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num_cpus" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cv6yxhz2zbnwn8pn1yn8grg7zsnd523947fby41a737aqvryj85"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num_cpus" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cv6yxhz2zbnwn8pn1yn8grg7zsnd523947fby41a737aqvryj85"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-        (("rust-hermit-abi" ,rust-hermit-abi-0.1)
-         ("rust-libc" ,rust-libc-0.2))))
+       (("rust-hermit-abi" ,rust-hermit-abi-0.1)
+        ("rust-libc" ,rust-libc-0.2))))
     (home-page "https://github.com/seanmonstar/num_cpus")
     (synopsis "Get the number of CPUs on a machine")
     (description
@@ -33123,14 +33325,14 @@ (define-public rust-num-derive-0.3
     (name "rust-num-derive")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1czs5215ypgbwg0qgy2i515xj3vfcgm8fw7gi4gmwsyv3a2bj2bg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1czs5215ypgbwg0qgy2i515xj3vfcgm8fw7gi4gmwsyv3a2bj2bg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -33361,14 +33563,14 @@ (define-public rust-num-rational-0.3
     (name "rust-num-rational")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-rational" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f41j1l1kn5jj36a8xdy8kv242wlwq0ka578vm8gnb1n1wvdgd55"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-rational" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f41j1l1kn5jj36a8xdy8kv242wlwq0ka578vm8gnb1n1wvdgd55"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.3)
@@ -33405,14 +33607,14 @@ (define-public rust-num-rational-0.1
     (name "rust-num-rational")
     (version "0.1.42")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-rational" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0kkqb8j3b3nis9hs4ww4hkrmb4a6v9sr9al08xmwhgvmpms4qcgf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-rational" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0kkqb8j3b3nis9hs4ww4hkrmb4a6v9sr9al08xmwhgvmpms4qcgf"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.1)
@@ -33450,13 +33652,13 @@ (define-public rust-num-traits-0.1
     (name "rust-num-traits")
     (version "0.1.43")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-traits" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0c9whknf2dm74a3cqirafy6gj83a76gl56g4v3g19k6lkwz13rcj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-traits" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0c9whknf2dm74a3cqirafy6gj83a76gl56g4v3g19k6lkwz13rcj"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-traits" , rust-num-traits-0.2))))))
@@ -33466,14 +33668,14 @@ (define-public rust-number-prefix-0.3
     (name "rust-number-prefix")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "number_prefix" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0slm4mqmpgs6hvz22ycny9lvyvl9ivs80a1lncslp7lszz02zc0p"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "number_prefix" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0slm4mqmpgs6hvz22ycny9lvyvl9ivs80a1lncslp7lszz02zc0p"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/ogham/rust-number-prefix")
     (synopsis "Format numeric prefixes: kilo, giga, kibi")
@@ -33487,13 +33689,13 @@ (define-public rust-numtoa-0.1
     (name "rust-numtoa")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "numtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vs9rhggqbql1p26x8nkha1j06wawwgb2jp5fs88b5gi7prvvy5q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "numtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vs9rhggqbql1p26x8nkha1j06wawwgb2jp5fs88b5gi7prvvy5q"))))
     (build-system cargo-build-system)
     (arguments '(#:tests? #f))
     (home-page "https://gitlab.com/mmstick/numtoa")
@@ -33757,14 +33959,14 @@ (define-public rust-object-0.17
     (name "rust-object")
     (version "0.17.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "object" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1bmgbg4k0725lchfy9j1wnpfmywh5qhs0k4k6j2g7c0acvys8i7a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "object" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1bmgbg4k0725lchfy9j1wnpfmywh5qhs0k4k6j2g7c0acvys8i7a"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -33993,14 +34195,14 @@ (define-public rust-once-cell-0.1
     (name "rust-once-cell")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "once-cell" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0drcjs7si0hygc0v64y55hkxv9fpvlvrb3wl5374b2hnc6i2jb2k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "once-cell" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0drcjs7si0hygc0v64y55hkxv9fpvlvrb3wl5374b2hnc6i2jb2k"))))
     (arguments
      `(#:cargo-inputs
        (("rust-parking-lot" ,rust-parking-lot-0.7))
@@ -34012,20 +34214,20 @@ (define-public rust-oorandom-11.1
     (name "rust-oorandom")
     (version "11.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "oorandom" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0xdm4vd89aiwnrk1xjwzklnchjqvib4klcihlc2bsd4x50mbrc8a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "oorandom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xdm4vd89aiwnrk1xjwzklnchjqvib4klcihlc2bsd4x50mbrc8a"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://hg.sr.ht/~icefox/oorandom")
     (synopsis "A tiny, robust PRNG implementation.")
     (description
-      "This package provides a tiny, robust PRNG implementation.")
+     "This package provides a tiny, robust PRNG implementation.")
     (license license:expat)))
 
 (define-public rust-opaque-debug-0.3
@@ -34033,14 +34235,14 @@ (define-public rust-opaque-debug-0.3
     (name "rust-opaque-debug")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "opaque-debug" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1m8kzi4nd6shdqimn0mgb24f0hxslhnqd1whakyq06wcqd086jk2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "opaque-debug" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1m8kzi4nd6shdqimn0mgb24f0hxslhnqd1whakyq06wcqd086jk2"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Macro for opaque debug trait implementation")
@@ -34203,13 +34405,13 @@ (define-public rust-openssl-probe-0.1
     (name "rust-openssl-probe")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "openssl-probe" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1pijrdifgsdwd45b08c2g0dsmnhz7c3kmagb70839ngrd7d29bvp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "openssl-probe" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1pijrdifgsdwd45b08c2g0dsmnhz7c3kmagb70839ngrd7d29bvp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/alexcrichton/openssl-probe")
     (synopsis "Find SSL certificate locations")
@@ -34224,13 +34426,13 @@ (define-public rust-openssl-sys-0.9
     (name "rust-openssl-sys")
     (version "0.9.68")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "openssl-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0l2ikxygkza3s5q3lvng4mhisdp2vdrvzkhpwhkx8vgnscjiymqw"))
-        (patches (search-patches "rust-openssl-sys-no-vendor.patch"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "openssl-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0l2ikxygkza3s5q3lvng4mhisdp2vdrvzkhpwhkx8vgnscjiymqw"))
+       (patches (search-patches "rust-openssl-sys-no-vendor.patch"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34343,14 +34545,14 @@ (define-public rust-ord-subset-3
     (name "rust-ord-subset")
     (version "3.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ord-subset" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vvb6zmz279nb59dki7kbsvixbk8zpg2gxvgcpsjfnxg9ik19knp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ord-subset" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vvb6zmz279nb59dki7kbsvixbk8zpg2gxvgcpsjfnxg9ik19knp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/emerentius/ord_subset")
     (synopsis "Tools for working with the Ord subset of certain PartialOrd types")
@@ -34542,14 +34744,14 @@ (define-public rust-output-vt100-0.1
     (name "rust-output-vt100")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "output_vt100" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ygqplpxz4gg3i8f3rkan2q69pqll7gv65l2mmd8r9dphnvwbkak"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "output_vt100" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ygqplpxz4gg3i8f3rkan2q69pqll7gv65l2mmd8r9dphnvwbkak"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34609,13 +34811,13 @@ (define-public rust-owning-ref-0.4
     (name "rust-owning-ref")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "owning_ref" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kjj9m28wjv452jw49p1mp3d8ql058x78v4bz00avr7rvsnmpxbg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "owning_ref" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kjj9m28wjv452jw49p1mp3d8ql058x78v4bz00avr7rvsnmpxbg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34708,14 +34910,14 @@ (define-public rust-pad-0.1
     (name "rust-pad")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pad" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qy0r26r52gp034fv252mmg0s599a55h9nr4xswy04hvky49pbfj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pad" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qy0r26r52gp034fv252mmg0s599a55h9nr4xswy04hvky49pbfj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34723,7 +34925,7 @@ (define-public rust-pad-0.1
     (home-page "https://github.com/ogham/rust-pad")
     (synopsis "Library for padding strings at runtime")
     (description
-      "This package provides a library for padding strings at runtime.")
+     "This package provides a library for padding strings at runtime.")
     (license license:expat)))
 
 (define-public rust-pager-0.15
@@ -34755,14 +34957,14 @@ (define-public rust-palette-0.5
     (name "rust-palette")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "palette" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nfc4ycdsx2qgf2wkcpxqxc0vmx7188jjjx3ppgs8qlf8qs06p50"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "palette" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nfc4ycdsx2qgf2wkcpxqxc0vmx7188jjjx3ppgs8qlf8qs06p50"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34784,14 +34986,14 @@ (define-public rust-palette-derive-0.5
     (name "rust-palette-derive")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "palette_derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1x5icddb877923rpl27bg4cjsf1x0d3layxmgwa3mpb01rh5yjqb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "palette_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1x5icddb877923rpl27bg4cjsf1x0d3layxmgwa3mpb01rh5yjqb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34931,21 +35133,21 @@ (define-public rust-parity-wasm-0.41
     (name "rust-parity-wasm")
     (version "0.41.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "parity-wasm" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0rfqgjyxrxrfjq5r5n81mdklahl8g4az6yhyyvw25nh0mj6qgz6x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "parity-wasm" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rfqgjyxrxrfjq5r5n81mdklahl8g4az6yhyyvw25nh0mj6qgz6x"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/paritytech/parity-wasm")
+     "https://github.com/paritytech/parity-wasm")
     (synopsis "WebAssembly low-level format library")
     (description
-      "WebAssembly low-level format library")
+     "WebAssembly low-level format library")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-parity-wasm-0.40
@@ -34953,13 +35155,13 @@ (define-public rust-parity-wasm-0.40
     (name "rust-parity-wasm")
     (version "0.40.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "parity-wasm" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "03qycy21avz4970zc7aj8rj5h4wvi4qsrc90a6hpws1a56mglf8y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "parity-wasm" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "03qycy21avz4970zc7aj8rj5h4wvi4qsrc90a6hpws1a56mglf8y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -35658,14 +35860,14 @@ (define-public rust-pbkdf2-0.4
     (name "rust-pbkdf2")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1g8cm3nwrsydazjc1gjs549hzafgxq8qb49gixrhl3qrd9calvi1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1g8cm3nwrsydazjc1gjs549hzafgxq8qb49gixrhl3qrd9calvi1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -35694,14 +35896,14 @@ (define-public rust-pbkdf2-0.3
     (name "rust-pbkdf2")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1na2fmmfcmksz4xk7m0ihl778501c1krx88dcylrand48f506v00"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1na2fmmfcmksz4xk7m0ihl778501c1krx88dcylrand48f506v00"))))
     (arguments
      `(#:cargo-inputs
        (("rust-base64" ,rust-base64-0.9)
@@ -35831,14 +36033,14 @@ (define-public rust-pdqselect-0.1
     (name "rust-pdqselect")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pdqselect" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09vwywzavhgqgr3vi2ycgv2nd0067jirv36fb3jvp860xikigjaf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pdqselect" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09vwywzavhgqgr3vi2ycgv2nd0067jirv36fb3jvp860xikigjaf"))))
     (build-system cargo-build-system)
     (home-page "https://crates.io/crates/pdqselect")
     (synopsis "Selects the kth smallest element of a slice")
@@ -35899,18 +36101,18 @@ (define-public rust-peeking-take-while-0.1
     (name "rust-peeking-take-while")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peeking_take_while" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16bhqr6rdyrp12zv381cxaaqqd0pwysvm1q8h2ygihvypvfprc8r"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peeking_take_while" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16bhqr6rdyrp12zv381cxaaqqd0pwysvm1q8h2ygihvypvfprc8r"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/fitzgen/peeking_take_while")
     (synopsis "Provides the peeking_take_while iterator adaptor method")
     (description
-      "Like @code{Iterator::take_while}, but calls the predicate on a peeked
+     "Like @code{Iterator::take_while}, but calls the predicate on a peeked
 value.  This allows you to use @code{Iterator::by_ref} and
 @code{Iterator::take_while} together, and still get the first value for which
 the @code{take_while} predicate returned false after dropping the @code{by_ref}.")
@@ -35951,14 +36153,14 @@ (define-public rust-peg-0.5
     (name "rust-peg")
     (version "0.5.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "11az3bs3ngvfip920xfr0zwblfkyg6cjgz1v9hmfsdnqw7fi5ps0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11az3bs3ngvfip920xfr0zwblfkyg6cjgz1v9hmfsdnqw7fi5ps0"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-quote" ,rust-quote-0.3))))))
@@ -35968,14 +36170,14 @@ (define-public rust-peg-macros-0.6
     (name "rust-peg-macros")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0li8qrb8hyqr7v5mhrkym0xp7ijnbksqviqc2i3556cysdgick62"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0li8qrb8hyqr7v5mhrkym0xp7ijnbksqviqc2i3556cysdgick62"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -35994,14 +36196,14 @@ (define-public rust-peg-runtime-0.6
     (name "rust-peg-runtime")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg-runtime" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r583cq923v0narrpq73qmp780yg4pablzklhrwnr64xwsbjh6hc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg-runtime" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r583cq923v0narrpq73qmp780yg4pablzklhrwnr64xwsbjh6hc"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/kevinmehall/rust-peg")
     (synopsis "Runtime support for rust-peg grammars")
@@ -36015,13 +36217,13 @@ (define-public rust-percent-encoding-2
     (name "rust-percent-encoding")
     (version "2.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "percent-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0bp3zrsk3kr47fbpipyczidbbx4g54lzxdm77ni1i3qws10mdzfl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "percent-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0bp3zrsk3kr47fbpipyczidbbx4g54lzxdm77ni1i3qws10mdzfl"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/servo/rust-url/")
     (synopsis "Percent encoding and decoding")
@@ -36035,13 +36237,13 @@ (define-public rust-percent-encoding-1
     (name "rust-percent-encoding")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "percent-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0cgq08v1fvr6bs5fvy390cz830lq4fak8havdasdacxcw790s09i"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "percent-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0cgq08v1fvr6bs5fvy390cz830lq4fak8havdasdacxcw790s09i"))))))
 
 (define-public rust-peresil-0.3
   (package
@@ -36094,22 +36296,22 @@ (define-public rust-perf-event-0.4
     (name "rust-perf-event")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "perf-event" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0rlxmyscr38wynknqqpy82fypq8ywa52ad3dbm22ia7as8n5d5jk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "perf-event" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rlxmyscr38wynknqqpy82fypq8ywa52ad3dbm22ia7as8n5d5jk"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-libc" ,rust-libc-0.2)
-         ("rust-perf-event-open-sys"
-          ,rust-perf-event-open-sys-1))))
+     `(#:cargo-inputs
+       (("rust-libc" ,rust-libc-0.2)
+        ("rust-perf-event-open-sys"
+         ,rust-perf-event-open-sys-1))))
     (home-page
-      "https://github.com/jimblandy/perf-event.git")
+     "https://github.com/jimblandy/perf-event.git")
     (synopsis
      "Rust interface to Linux performance monitoring")
     (description
@@ -36121,13 +36323,13 @@ (define-public rust-permutohedron-0.2
     (name "rust-permutohedron")
     (version "0.2.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "permutohedron" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b1pzh48j86v46wxngch6k1kx9cdw3jr3lwa86gd6jd4bmxzz1xn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "permutohedron" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b1pzh48j86v46wxngch6k1kx9cdw3jr3lwa86gd6jd4bmxzz1xn"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/bluss/permutohedron")
